Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessTimer.TimerInstance, JBPMMessages.ProcessTimer.TimerInstance.Builder

Enclosing class:
  JBPMMessages.ProcessTimer

    public static interface JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getActivatedTime()` `optional int64 activated_time = 6;`
`long` | `getDelay()` `optional int64 delay = 3;`
`long` | `getId()` `optional int64 id = 1;`
`long` | `getLastTriggered()` `optional int64 last_triggered = 7;`
`long` | `getPeriod()` `optional int64 period = 4;`
`long` | `getProcessInstanceId()` `optional int64 process_instance_id = 5;`
`int` | `getSessionId()` `optional int32 sessionId = 8;`
`long` | `getTimerId()` `optional int64 timer_id = 2;`
`boolean` | `hasActivatedTime()` `optional int64 activated_time = 6;`
`boolean` | `hasDelay()` `optional int64 delay = 3;`
`boolean` | `hasId()` `optional int64 id = 1;`
`boolean` | `hasLastTriggered()` `optional int64 last_triggered = 7;`
`boolean` | `hasPeriod()` `optional int64 period = 4;`
`boolean` | `hasProcessInstanceId()` `optional int64 process_instance_id = 5;`
`boolean` | `hasSessionId()` `optional int32 sessionId = 8;`
`boolean` | `hasTimerId()` `optional int64 timer_id = 2;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

  `optional int64 id = 1;`

### getId

    long getId()

  `optional int64 id = 1;`

### hasTimerId

    boolean hasTimerId()

  `optional int64 timer_id = 2;`

### getTimerId

    long getTimerId()

  `optional int64 timer_id = 2;`

### hasDelay

    boolean hasDelay()

  `optional int64 delay = 3;`

### getDelay

    long getDelay()

  `optional int64 delay = 3;`

### hasPeriod

    boolean hasPeriod()

  `optional int64 period = 4;`

### getPeriod

    long getPeriod()

  `optional int64 period = 4;`

### hasProcessInstanceId

    boolean hasProcessInstanceId()

  `optional int64 process_instance_id = 5;`

### getProcessInstanceId

    long getProcessInstanceId()

  `optional int64 process_instance_id = 5;`

### hasActivatedTime

    boolean hasActivatedTime()

  `optional int64 activated_time = 6;`

### getActivatedTime

    long getActivatedTime()

  `optional int64 activated_time = 6;`

### hasLastTriggered

    boolean hasLastTriggered()

  `optional int64 last_triggered = 7;`

### getLastTriggered

    long getLastTriggered()

  `optional int64 last_triggered = 7;`

### hasSessionId

    boolean hasSessionId()

  `optional int32 sessionId = 8;`

### getSessionId

    int getSessionId()

  `optional int32 sessionId = 8;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.